Package com.stardog.stark.query.io.xml

# Class SimpleSAXAdapter

java.lang.Object
com.stardog.stark.query.io.xml.SimpleSAXAdapter

All Implemented Interfaces:
  `SimpleSAXListener`

public class SimpleSAXAdapter extends Object implements SimpleSAXListener
An implementation of `SimpleSAXListener` providing dummy implementations for all its methods.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleSAXAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endDocument()`
  Notifies the listener that the parser has finished parsing.
  `void`
  `endTag(String tagName)`
  Reports an end tag to the listener.
  `void`
  `startDocument()`
  Notifies the listener that the parser has started parsing.
  `void`
  `startTag(String tagName, Map<String,String> atts, String text)`
  Reports a start tag to the listener.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleSAXAdapter

    public SimpleSAXAdapter()

- ## Method Details

  - ### startDocument

    public void startDocument() throws SAXException
    Description copied from interface: `SimpleSAXListener`
    Notifies the listener that the parser has started parsing.
    Specified by:
      `startDocument` in interface `SimpleSAXListener`
    Throws:
      `SAXException`

  - ### endDocument

    public void endDocument() throws SAXException
    Description copied from interface: `SimpleSAXListener`
    Notifies the listener that the parser has finished parsing.
    Specified by:
      `endDocument` in interface `SimpleSAXListener`
    Throws:
      `SAXException`

  - ### startTag

    public void startTag(String tagName, Map<String,String> atts, String text) throws SAXException
    Description copied from interface: `SimpleSAXListener`
    Reports a start tag to the listener. The method call reports the tag's name, the attributes that were found in the start tag and any text that was found after the start tag.
    Specified by:
      `startTag` in interface `SimpleSAXListener`
    Parameters:
      `tagName` - The tag name.
      `atts` - A map containing key-value-pairs representing the attributes that were found in the start tag.
      `text` - The text immediately following the start tag, or an empty string if the start tag was followed by a nested start tag or if no text (other than whitespace) was found between start- and end tag.
    Throws:
      `SAXException`

  - ### endTag

    public void endTag(String tagName) throws SAXException
    Description copied from interface: `SimpleSAXListener`
    Reports an end tag to the listener.
    Specified by:
      `endTag` in interface `SimpleSAXListener`
    Parameters:
      `tagName` - The tag name.
    Throws:
      `SAXException`